#!/bin/bash

error() { echo "$@" 1>&2; }
fail() { error "$@"; exit 1; }
debug() { error "$(date -R):" "$@"; }

check_branch() {
    [ -e "${2}" ] && rm -rf "${2}"
    debug "Checking out ${1} to ${2}"
    bzr checkout --lightweight "${1}" "${2}" &&
        debug "Checked out ${1}" ||
        fail  "Failed to checkout ${1}"
}

