#!/bin/bash
info_dir=${1}
oargs=${*//${1}/}
TEMP_D=""
error() { echo "$@" 1>&2; }
fail() { [ $# -eq 0 ] || error "$@"; exit 1; }

echo "Commit comment is: ${oargs}"
if [ ! -d "${info_dir}/.bzr" ]; then
    ( cd "${info_dir}" && bzr init && bzr add --quiet . &&
      bzr commit --quiet -m "initial state" ) >/dev/null &&
        error "initialized bzr directory in ${info_dir}" ||
        fail "failed to initialize bzr directory in ${info_dir}"
fi

bzr add "${info_dir}"
if bzr diff "${info_dir}" >/dev/null; then
    error "no changes were made to ${info_dir}"
else
    bzr commit -m "${oargs[*]}" "${info_dir}" ||
        fail "failed to bzr commit in ${info_dir}"
fi

